#!/usr/bin/env python
import hashlib
import sys
import random

# WBB3 scheme -> sha1($salt.sha1($salt.sha1($pass))


def gethash(password, salt):
    m0 = hashlib.sha1()
    m0.update(password)
    m1 = hashlib.sha1()
    m1.update(salt)
    m1.update(m0.hexdigest())
    m2 = hashlib.sha1()
    m2.update(salt)
    m2.update(m1.hexdigest())

    return m2.hexdigest()

if __name__ == "__main__":
    if len(sys.argv) < 2:
        print >> sys.stderr, "Usage: %s <dictionary file>" % sys.argv[0]
        sys.exit(-1)

    salt = "0b053db07dc02bc6f6e24e00462f17e3c550afa"
    with open(sys.argv[1]) as f:
        for line in f.readlines():
            line = line.rstrip()
            if line.startswith('#'):
                continue
            nsalt = salt + str(random.randint(0, 9))
            ret = gethash(line, nsalt)
            print "user-%s:$wbb3$*1*%s*%s" % (line, nsalt, ret)
